## neutron-vpnaas 22.0.0

=== debian/changelog ===
neutron-vpnaas (2:22.0.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 24 Mar 2023 02:12:13 +0000

neutron-vpnaas (2:22.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:10:27 -0400

neutron-vpnaas (2:22.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Mar 2023 07:59:15 -0500

neutron-vpnaas (2:21.0.0+git2023011010.d1b1f94b-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:25:21 -0500

neutron-vpnaas (2:21.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 21.x series and fix tarball path.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 17:13:24 -0400

neutron-vpnaas (2:20.0.0+git2022091214.6eaed1cdb-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 14:12:26 -0400

neutron-vpnaas (2:20.0.0+git2022071815.740bf12df-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 15:28:54 -0400

neutron-vpnaas (2:20.0.0+git2022060610.6a226281b-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 10:21:51 -0400

## neutron-vpnaas 23.0.0

=== debian/changelog ===
neutron-vpnaas (2:23.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 15:05:57 +0000

neutron-vpnaas (2:23.0.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:14:56 -0400

## neutron-vpnaas 24.0.1

=== debian/changelog ===
neutron-vpnaas (2:24.0.1-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 15:19:13 +0100

neutron-vpnaas (2:24.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 11:04:49 +0000

neutron-vpnaas (2:23.0.0+git2024011916.87859a39-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Sat, 03 Feb 2024 13:54:05 +0000

=== debian/control ===
Source: neutron-vpnaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-alembic (>= 1.6.5),
 python3-coverage,
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-jinja2 (>= 2.10),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:17.0.0),
 python3-neutron-lib (>= 2.6.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.log (>= 4.5.0),
 python3-oslo.messaging (>= 7.0.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.18.0),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.3.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 0.0.18),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 rename,
Standards-Version: 4.6.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-vpnaas
Homepage: https://opendev.org/openstack/neutron-vpnaas
Testsuite: autopkgtest-pkg-python

Package: neutron-vpnaas-common
Architecture: all
Section: python
Depends:
 strongswan (>= 5.1) | openswan,
 ${misc:Depends},
Description: VPN-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides common configuration files.

Package: python3-neutron-vpnaas
Architecture: all
Section: python
Depends:
 neutron-vpnaas-common (= ${binary:Version}),
 python3-alembic (>= 1.6.5),
 python3-jinja2 (>= 2.10),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:17.0.0),
 python3-neutron-lib (>= 2.6.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.log (>= 4.5.0),
 python3-oslo.messaging (>= 7.0.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.utils (>= 4.5.0),
 python3-pbr (>= 4.0.0),
 python3-requests (>= 2.18.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.3.0),
 ${misc:Depends},
 ${python3:Depends},
Description: VPN-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Python 3 module for the VPN-as-a-Service
 driver for Neutron.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/neutron-vpnaas/ neutron-vpnaas-(\d.*)\.tar\.gz

## neutron-vpnaas 24.0.1+git2024080809.f2fcd458

=== debian/changelog ===
neutron-vpnaas (2:24.0.1+git2024080809.f2fcd458-0ubuntu2) oracular; urgency=medium

  * d/p/install-missing-files.patch: Ensure database migrations are
    installed as part of the binary package (LP: #2080393).

 -- James Page <james.page@ubuntu.com>  Thu, 12 Sep 2024 08:14:52 +0100

neutron-vpnaas (2:24.0.1+git2024080809.f2fcd458-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.

 -- Jadon Naas <jadon.naas@canonical.com>  Wed, 14 Aug 2024 09:51:16 +0100

## neutron-vpnaas 24.0.2

=== debian/changelog ===
neutron-vpnaas (2:24.0.2-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 12:21:38 +0000

neutron-vpnaas (2:24.0.1-2) unstable; urgency=medium

  * Restrict autopkgtest to Architecture: amd64 arm64 ppc64el.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 May 2024 16:53:57 +0200

neutron-vpnaas (2:24.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 22:32:38 +0200

neutron-vpnaas (2:24.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed tempest from build-depends.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Mar 2024 11:44:44 +0100

neutron-vpnaas (2:23.0.0-2) unstable; urgency=medium

  * Removed python3-six (build-)depends (Closes: #1054151).

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Dec 2023 08:26:13 +0100

neutron-vpnaas (2:23.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 13:02:43 +0200

neutron-vpnaas (2:23.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Sep 2023 13:22:27 +0200

neutron-vpnaas (2:22.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047735).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 14:04:45 +0200

neutron-vpnaas (2:22.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 13:20:29 +0200

neutron-vpnaas (2:22.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 16:24:03 +0100

neutron-vpnaas (2:22.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed version from (build-)depends when satisfied in Bookworm.
  * Removed lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Mar 2023 08:55:09 +0100

=== debian/control ===
Source: neutron-vpnaas
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic (>= 1.6.5),
 python3-coverage,
 python3-hacking,
 python3-isort,
 python3-jinja2,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron,
 python3-neutron-lib,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-psycopg2,
 python3-sqlalchemy,
 python3-stestr,
 python3-testtools,
 python3-webtest,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-vpnaas
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-vpnaas.git
Homepage: https://github.com/openstack/neutron-vpnaas

Package: neutron-vpnaas-common
Architecture: all
Depends:
 python3-neutron-vpnaas (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron VPNaaS common files like configuration.

Package: neutron-vpnaas-vyatta-agent
Architecture: all
Depends:
 adduser,
 debconf,
 neutron-common,
 neutron-vpnaas-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS Vyatta Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the VPNaaS Vyatta agent. The  Brocade Vyatta VPN plugin
 provides VPNaaS solution using Brocade Vyatta vRouter VM running as a Neutron
 router. The plugin implements IPSec Site-to-Site tunnel to connect tenant
 private networks to remote networks using vRouter VM.

Package: python3-neutron-vpnaas
Architecture: all
Section: python
Depends:
 alembic,
 python3-jinja2,
 python3-netaddr,
 python3-neutron,
 python3-neutron-lib,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 python3-sqlalchemy,
 strongswan,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-neutron-vpnaas,
Recommends:
 iputils-arping,
Description: OpenStack virtual network service - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library.

## neutron-vpnaas 25.0.0~rc1

=== debian/changelog ===
neutron-vpnaas (2:25.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 14:21:39 +0200

neutron-vpnaas (2:25.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Requires neutron >= 2:25.0.0~.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2024 11:12:22 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-jinja2,
  python3-mysqldb,
  python3-netaddr,
- python3-neutron,
+ python3-neutron (>= 2:25.0.0~),
  python3-neutron-lib,
  python3-openstackdocstheme,
  python3-oslo.concurrency,
@@ -65,7 +65,7 @@
 Depends:
  adduser,
  debconf,
- neutron-common,
+ neutron-common (>= 2:25.0.0~),
  neutron-vpnaas-common (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
@@ -88,7 +88,7 @@
  alembic,
  python3-jinja2,
  python3-netaddr,
- python3-neutron,
+ python3-neutron (>= 2:25.0.0~),
  python3-neutron-lib,
  python3-oslo.concurrency,
  python3-oslo.config,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
UPSTREAM_GIT = https://github.com/openstack/neutron-vpnaas.git
VPNAAS_CONF=$(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/neutron_vpnaas.conf
VPN_AGENT_CONF=$(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/vpn_agent.ini


%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/*.init debian/*.service debian/*.upstart debian/neutron-vpnaas-common.postinst debian/neutron-vpnaas-common.postrm
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete
	rm -rf build

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-vpnaas-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-vpnaas-common.postrm

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'neutron_vpnaas\.tests\.unit.*'
endif

	mkdir -p $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/vpn_agent.ini \
		--wrap-width 140 \
		--namespace neutron.vpnaas.agent
	
	# Specify default config
	pkgos-fix-config-default ${VPN_AGENT_CONF} service_providers service_provider VPN:strongswan:neutron_vpnaas.services.vpn.service_drivers.ipsec.IPsecVPNDriver:default
	sed -i 's/\(^#ipsec_config_template\ =\)\(.*\/usr\/lib\/python\)\(.*\)/\1\ \/usr\/lib\/python\3/g' ${VPN_AGENT_CONF}
	sed -i 's/\(^#strongswan_config_template\ =\)\(.*\/usr\/lib\/python\)\(.*\)/\1\ \/usr\/lib\/python\3/g' ${VPN_AGENT_CONF}
	sed -i 's/\(^#ipsec_secret_template\ =\)\(.*\/usr\/lib\/python\)\(.*\)/\1\ \/usr\/lib\/python\3/g' ${VPN_AGENT_CONF}

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/neutron_vpnaas.conf \
		--wrap-width 140 \
		--namespace neutron.vpnaas
	
	# Specify default config
	pkgos-fix-config-default ${VPNAAS_CONF} service_providers service_provider VPN:strongswan:neutron_vpnaas.services.vpn.service_drivers.ipsec.IPsecVPNDriver:default

	# Install rootwrap filters
	mkdir -p $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/rootwrap.d
	cp etc/neutron/rootwrap.d/vpnaas.filters $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/rootwrap.d

	rm -r $(CURDIR)/debian/tmp/usr/etc

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## neutron-vpnaas 25.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=4.0.0 # Apache-2.0

Jinja2>=2.10 # BSD License (3 clause)
netaddr>=0.7.18 # BSD
SQLAlchemy>=1.3.0 # MIT
alembic>=1.6.5 # MIT
neutron-lib>=2.6.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=8.0.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.log>=4.5.0 # Apache-2.0
oslo.messaging>=7.0.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service>=1.31.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0

neutron>=25.0.0.0b1 # Apache-2.0

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== debian/changelog ===
neutron-vpnaas (2:25.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090448).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 12:35:09 +0100

neutron-vpnaas (2:25.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 16:49:01 +0200

## neutron-vpnaas 25.0.0+git2025011511.705dfd082

=== requirements.txt ===
--- 
+++ 
@@ -1,10 +1,6 @@
 # Requirements lower bounds listed here are our best effort to keep them up to
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
-
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
 pbr>=4.0.0 # Apache-2.0
 
 Jinja2>=2.10 # BSD License (3 clause)

=== debian/changelog ===
neutron-vpnaas (2:25.0.0+git2025011511.705dfd082-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Remove outdated dependencies.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 21 Jan 2025 10:30:31 +0000

neutron-vpnaas (2:25.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:34:24 +0100

neutron-vpnaas (2:25.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2024 08:33:41 +0100

=== debian/control ===
Source: neutron-vpnaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-alembic (>= 1.6.5),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-jinja2 (>= 2.10),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:17.0.0),
 python3-neutron-lib (>= 2.6.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.log (>= 4.5.0),
 python3-oslo.messaging (>= 7.0.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.18.0),
 python3-requests-mock (>= 1.2.0),
 python3-sqlalchemy (>= 1.3.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 0.0.18),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 rename,
Standards-Version: 4.6.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-vpnaas
Homepage: https://opendev.org/openstack/neutron-vpnaas
Testsuite: autopkgtest-pkg-python

Package: neutron-vpnaas-common
Architecture: all
Section: python
Depends:
 strongswan (>= 5.1) | openswan,
 ${misc:Depends},
Description: VPN-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides common configuration files.

Package: python3-neutron-vpnaas
Architecture: all
Section: python
Depends:
 neutron-vpnaas-common (= ${binary:Version}),
 python3-alembic (>= 1.6.5),
 python3-jinja2 (>= 2.10),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:17.0.0),
 python3-neutron-lib (>= 2.6.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.log (>= 4.5.0),
 python3-oslo.messaging (>= 7.0.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.utils (>= 4.5.0),
 python3-pbr (>= 4.0.0),
 python3-requests (>= 2.18.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.3.0),
 ${misc:Depends},
 ${python3:Depends},
Description: VPN-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Python 3 module for the VPN-as-a-Service
 driver for Neutron.

## neutron-vpnaas 25.0.0+git2025030311.57c118f8d

=== debian/changelog ===
neutron-vpnaas (2:25.0.0+git2025030311.57c118f8d-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 04 Mar 2025 17:38:43 +0000

## neutron-vpnaas 25.0.1

=== debian/changelog ===
neutron-vpnaas (2:25.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 27 Jan 2026 13:59:53 +0000

## neutron-vpnaas 26.0.0

=== debian/changelog ===
neutron-vpnaas (2:26.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 14:38:33 +0200

neutron-vpnaas (2:26.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:29:56 +0100

neutron-vpnaas (2:26.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 10:28:36 +0100

=== debian/control ===
Source: neutron-vpnaas
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic (>= 1.6.5),
 python3-coverage,
 python3-hacking,
 python3-isort,
 python3-jinja2,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron (>= 2:26.0.0~),
 python3-neutron-lib (>= 3.18.2),
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-psycopg2,
 python3-sqlalchemy,
 python3-stestr,
 python3-testtools,
 python3-webtest,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-vpnaas
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-vpnaas.git
Homepage: https://github.com/openstack/neutron-vpnaas

Package: neutron-vpnaas-common
Architecture: all
Depends:
 python3-neutron-vpnaas (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron VPNaaS common files like configuration.

Package: neutron-vpnaas-vyatta-agent
Architecture: all
Depends:
 adduser,
 debconf,
 neutron-common (>= 2:25.0.0~),
 neutron-vpnaas-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS Vyatta Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the VPNaaS Vyatta agent. The  Brocade Vyatta VPN plugin
 provides VPNaaS solution using Brocade Vyatta vRouter VM running as a Neutron
 router. The plugin implements IPSec Site-to-Site tunnel to connect tenant
 private networks to remote networks using vRouter VM.

Package: python3-neutron-vpnaas
Architecture: all
Section: python
Depends:
 alembic,
 python3-jinja2,
 python3-netaddr,
 python3-neutron (>= 2:26.0.0~),
 python3-neutron-lib (>= 3.18.2),
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 python3-sqlalchemy,
 strongswan,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-neutron-vpnaas,
Recommends:
 iputils-arping,
Description: OpenStack virtual network service - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library.

## neutron-vpnaas 26.0.0+git2025070714.93b8fddf4

=== debian/changelog ===
neutron-vpnaas (2:26.0.0+git2025070714.93b8fddf4-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 22 Jul 2025 13:22:00 -0700

neutron-vpnaas (2:26.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * Refresh patches:
    - d/p/0001-Fix-updating-VPN-connection-status.patch
    - d/p/install-missing-files.patch

 -- Myles Penner <myles.penner@canonical.com>  Thu, 03 Apr 2025 11:41:19 -0700

## neutron-vpnaas 27.0.0~rc1

=== debian/changelog ===
neutron-vpnaas (2:27.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 10:45:19 +0000

neutron-vpnaas (2:27.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 12:04:01 +0200

neutron-vpnaas (2:27.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 09:28:19 +0200

## neutron-vpnaas 27.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 netaddr>=0.7.18 # BSD
 SQLAlchemy>=1.3.0 # MIT
 alembic>=1.6.5 # MIT
-neutron-lib>=2.6.0 # Apache-2.0
+neutron-lib>=3.18.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=8.0.0 # Apache-2.0
 oslo.db>=4.44.0 # Apache-2.0

=== neutron_vpnaas/tests/functional/requirements.txt ===
# Additional requirements for functional tests

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

psycopg2
PyMySQL>=0.6.2  # MIT License

# Make sure that mock is installed in functional environment for
# neutron. This needs to be removed from master as soon as new neutron
# is released from Victoria, as mock is removed in development branch.
mock>=2.0.0 # BSD

=== debian/changelog ===
neutron-vpnaas (2:27.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Myles Penner <myles.penner@canonical.com>  Fri, 03 Oct 2025 01:37:57 -0400

neutron-vpnaas (2:27.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Update version detection.

 -- Myles Penner <myles.penner@canonical.com>  Sat, 20 Sep 2025 13:52:22 -0700

=== debian/control ===
Source: neutron-vpnaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.1.1),
Build-Depends-Indep:
 python3-alembic (>= 1.6.5),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-jinja2 (>= 2.10),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:25.0.0~b1),
 python3-neutron-lib (>= 3.18.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.log (>= 4.5.0),
 python3-oslo.messaging (>= 7.0.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.18.0),
 python3-requests-mock (>= 1.2.0),
 python3-sqlalchemy (>= 1.3.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 0.0.18),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 rename,
Standards-Version: 4.6.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-vpnaas
Homepage: https://opendev.org/openstack/neutron-vpnaas
Testsuite: autopkgtest-pkg-python

Package: neutron-vpnaas-common
Architecture: all
Section: python
Depends:
 strongswan (>= 5.1) | openswan,
 ${misc:Depends},
Description: VPN-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides common configuration files.

Package: python3-neutron-vpnaas
Architecture: all
Section: python
Depends:
 neutron-vpnaas-common (= ${binary:Version}),
 python3-alembic (>= 1.6.5),
 python3-jinja2 (>= 2.10),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:25.0.0~b1),
 python3-neutron-lib (>= 3.18.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.log (>= 4.5.0),
 python3-oslo.messaging (>= 7.0.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.utils (>= 4.5.0),
 python3-pbr (>= 4.0.0),
 python3-requests (>= 2.18.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.3.0),
 ${misc:Depends},
 ${python3:Depends},
Description: VPN-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Python 3 module for the VPN-as-a-Service
 driver for Neutron.

=== debian/watch ===
version=3
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/,pgpsigurlmangle=s/$/.asc/ \
 https://tarballs.opendev.org/openstack/neutron-vpnaas/ neutron_vpnaas-(\d{1,2}\.\d.*)\.tar\.gz

## neutron-vpnaas 27.0.0+git20260108.16.a44524507

=== debian/changelog ===
neutron-vpnaas (2:27.0.0+git20260108.16.a44524507-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update version
  * d/u/signing-key.asc: remove for snapshot
  * d/rules: enable sphinxdoc to build documentation
  * New upstream version 27.0.0+git20260108.16.a44524507
  * d/patches/*: refresh patches
  * New upstream snapshot from a445245070b412e3abd7b1bd6cc731cf96e91f3f
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Thu, 22 Jan 2026 14:22:42 -0800

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=neutron_vpnaas

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_install:
	# NOTE: generate configuration files directly
	for file in `ls etc/oslo-config-generator/*`; do \
	     PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=$$file \
	        --output-file=etc/neutron/`basename $$file`; \
	done
	rm -rf debian/python3-neutron-vpnaas/usr/etc
	dh_install

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	OS_TEST_PATH=./neutron_vpnaas/tests/unit pkgos-dh_auto_test --no-py2
endif

override_dh_auto_clean:
	rm -rf .testrepository build
	for file in `ls etc/oslo-config-generator/*`; do rm -f etc/neutron/`basename $$file`; done
	dh_auto_clean

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/neutron-vpnaas/ neutron_vpnaas-(\d{1,2}\.\d.*)\.tar\.gz

## neutron-vpnaas 2015.1~rc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0

requests>=2.2.0,!=2.4.0
Jinja2>=2.6  # BSD License (3 clause)
netaddr>=0.7.12
SQLAlchemy>=0.9.7,<=0.9.99
alembic>=0.7.2
six>=1.9.0
oslo.concurrency>=1.8.0,<1.9.0         # Apache-2.0
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.db>=1.7.0,<1.8.0  # Apache-2.0
oslo.log>=1.0.0,<1.1.0  # Apache-2.0
oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== debian/control ===
Source: neutron-vpnaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 dh-systemd,
 openstack-pkg-tools (>= 21~),
 python-all (>= 2.6.6-3~)
Build-Depends-Indep:
 alembic (>= 0.7.2),
 neutron-common (>= 1:2015.1~rc1),
 python-cliff (>= 1.10.0),
 python-coverage,
 python-eventlet (>= 0.15.2),
 python-fixtures (>= 0.3.14),
 python-hacking (>= 0.10.0),
 python-jinja2 (>= 2.6),
 python-mock (>= 1.0),
 python-netaddr (>= 0.7.12),
 python-oslo-config (>= 1:1.9.3),
 python-oslo-db (>= 1.7.0),
 python-oslo-log (>= 1.0.0),
 python-oslo-messaging (>= 1.8.0),
 python-oslo-middleware (>= 0.1.0),
 python-oslo-serialization (>= 1.4.0),
 python-oslo-utils (>= 1.4.0),
 python-oslotest (>= 1.2.0),
 python-pbr (>= 0.6),
 python-requests (>= 2.2.0),
 python-requests-mock (>= 0.5.1),
 python-setuptools,
 python-six (>= 1.9.0),
 python-sqlalchemy (>= 0.9.7),
 python-subunit (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 0.9.36),
 python-webob (>= 1.2.3),
 python-webtest (>= 2.0),
 testrepository ( >= 0.0.18)
Standards-Version: 3.9.6
Homepage: http://github.com/openstack/neutron-vpnaas

Package: python-neutron-vpnaas
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: VPN-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provices the VPN-as-a-Service driver for Neutron.

Package: neutron-vpn-agent
Architecture: all
Depends:
 iputils-arping,
 neutron-common,
 neutron-metadata-agent,
 python-neutron-fwaas,
 python-neutron-vpnaas (= ${source:Version}),
 strongswan (>= 5.1) | openswan,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Conflicts: neutron-l3-agent
Breaks: neutron-common (<< 1:2015.1~b1-0ubuntu4~)
Replaces: neutron-common (<< 1:2015.1~b1-0ubuntu4~)
Description: Neutron is a virtual network service for Openstack - VPN agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the VPN agent, which also provides L3 agent support.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/" \
 http://tarballs.openstack.org/neutron-vpnaas neutron-vpnaas-(\d.*)\.tar\.gz

## neutron-vpnaas 2015.1.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=0.7,<1.0,>=0.6

requests!=2.4.0,>=2.2.0
Jinja2>=2.6 # BSD License (3 clause)
netaddr>=0.7.12
SQLAlchemy<=0.9.99,>=0.9.7
alembic<0.8.1,>=0.7.2
six>=1.9.0
oslo.concurrency<1.9.0,>=1.8.2 # Apache-2.0
oslo.config<1.10.0,>=1.9.3 # Apache-2.0
oslo.db<1.8.0,>=1.7.0 # Apache-2.0
oslo.log<1.1.0,>=1.0.0 # Apache-2.0
oslo.messaging<1.9.0,>=1.8.0 # Apache-2.0
oslo.serialization<1.5.0,>=1.4.0 # Apache-2.0
oslo.utils!=1.4.1,<1.5.0,>=1.4.0 # Apache-2.0

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron@stable/kilo#egg=neutron

=== debian/changelog ===
neutron-vpnaas (1:2015.1.2-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * Resynchronize with stable/kilo (fbda90f) (LP: #1506058):
  - [fbda90f] Make chown rootwrap filter ipsec.secrets file specific
  - [45be2dc] Set owner to root for ipsec.secrets for LibreSwan
  - [5996aab] Manage cleanup of .ctl/.pid files for LibreSwan
  - [9c32f33] Switch to using os-testr's copy of subunit2html
  - [9e3dee4] Explictly set file mode on IPSec pre-shared key files

  [ Corey Byrant ]
  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 16 Oct 2015 08:55:51 -0400

neutron-vpnaas (1:2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (9c73c0c) (LP: #1481008):
    - [fb18c46] Set vpn agent's agent_state['binary'] attribute
    - [0ec1668] Fix failures for integration tests
    - [053fd30] VPNaaS: Fix breakage in status reporting
    - [5cc0613] Libreswan driver support in VPNaaS
    - [9c73c0c] Provide Fedora support for StrongSwan

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Aug 2015 16:48:20 +0200

## neutron-vpnaas 2015.1.3

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 pbr!=0.7,<1.0,>=0.6
 
-requests!=2.4.0,>=2.2.0
+requests!=2.4.0,<2.8.0,>=2.2.0
 Jinja2>=2.6 # BSD License (3 clause)
 netaddr>=0.7.12
 SQLAlchemy<=0.9.99,>=0.9.7

=== debian/changelog ===
neutron-vpnaas (1:2015.1.3-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1559215).

 -- James Page <james.page@ubuntu.com>  Sat, 19 Mar 2016 08:57:14 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python-all (>= 2.6.6-3~)
 Build-Depends-Indep:
  alembic (>= 0.7.2),
- neutron-common (>= 1:2015.1~rc1),
+ neutron-common (>= 1:2015.1.2),
  python-cliff (>= 1.10.0),
  python-coverage,
  python-eventlet (>= 0.15.2),

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,systemd --buildsystem=python_distutils

override_dh_python2:
	dh_python2 --no-guessing-deps

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
	TEMP_REZ=`mktemp -t` && \
	testr run --subunit neutron_vpnaas.tests.unit | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ ;
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository
	rm -f debian/*.upstart debian/*.init debian/*.service
